Package com.orchestranetworks.workflow

# Enum Class UserTask.UserTaskMode

java.lang.Object
java.lang.Enum<UserTask.UserTaskMode>
com.orchestranetworks.workflow.UserTask.UserTaskMode

All Implemented Interfaces:
  `Serializable`, `Comparable<UserTask.UserTaskMode>`, `Constable`

Enclosing class:
  UserTask

public static enum UserTask.UserTaskMode extends Enum<UserTask.UserTaskMode>
Represents the user task mode.

Since:
  5.7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT_MODE`
  User task is in default mode.
  `LEGACY_MODE`
  User task is in legacy mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UserTask.UserTaskMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UserTask.UserTaskMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEGACY_MODE

    public static final UserTask.UserTaskMode LEGACY_MODE

    User task is in legacy mode. This was the only mode supported with EBX® versions prior to 5.7.0.

    In this mode, several work items can be created for a user task. But it is not possible to offer a work item to several profiles.

    This mode is now deprecated and may be removed in future EBX® versions.

    See Also:
      - Associated property in the `ebx.properties` file.

  - ### DEFAULT_MODE

    public static final UserTask.UserTaskMode DEFAULT_MODE

    User task is in default mode.

    In this mode, only one work item can be created for a user task. It is possible to offer a work item to several profiles.

- ## Method Details

  - ### values

    public static UserTask.UserTaskMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UserTask.UserTaskMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null